IncludedContent (Grails 4.0.2)
Date: 2020-02-21

Package: org.grails.web.util

## [Java] Class IncludedContent

- org.grails.web.util.IncludedContent

- All Implemented Interfaces and Traits:
    groovy.lang.Writable

      public class IncludedContent
      extends java.lang.Object

  Represents some content that has been used in an include request.

  Authors:
    Graeme Rocher
  Since:
    1.1.1

- - ### Constructor Summary

    Constructors
    Constructor and description
    `IncludedContent (java.lang.String contentType, java.lang.Object content)`
    `IncludedContent (java.lang.String redirectURL)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `getContent()` Returns the included content
    `` | `char[]` | `getContentAsCharArray()`
    `` | `java.lang.String` | `getContentType()` Returns the included content type (default is text/html;charset=UTF=8)
    `` | `java.lang.String` | `getRedirectURL()` Returns the URL of a redirect if a redirect was issue in the Include otherwise it returns null if there was no redirect.
    `` | `java.io.Writer` | `writeTo(java.io.Writer target)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public IncludedContent(java.lang.String contentType, java.lang.Object content)

    - #### public IncludedContent(java.lang.String redirectURL)

  - ### Method Detail

    - #### public java.lang.Object getContent()

      Returns the included content

      Returns:
        The content

    - #### public char[] getContentAsCharArray()

    - #### public java.lang.String getContentType()

      Returns the included content type (default is text/html;charset=UTF=8)

      Returns:
        The content type

    - #### public java.lang.String getRedirectURL()

      Returns the URL of a redirect if a redirect was issue in the Include otherwise it returns null if there was no redirect.

      Returns:
        The redirect URL

    - #### public java.io.Writer writeTo(java.io.Writer target)